#!/bin/bash
#
NODETEST_PATH=$(dirname $(readlink -f "$0"))
GRAVITY_PATH=/root/miyuan/branch1.4/gateway/build/bin/iot-gravity

echo $GRAVITY_PATH


START_PARAM=$1

echo "start parameters:" $START_PARAM

ENV_PATH=$GRAVITY_PATH/build-env/node/bin:$GRAVITY_PATH/build-env/cmake-3.9.3-Linux-x86_64/bin

#导出环境到PATH
export PATH=$ENV_PATH:$PATH

#COMPONMENT=~/.gravity/configuration.yaml
#if [ ! -f $COMPONMENT ] ; then
#  bash $GRAVITY_PATH/configure.sh
#else
#  echo "~/.gravity/configuration.yaml exists, skip cp."
#fi

#安装JS的依赖
export NODE_PATH=$GRAVITY_PATH/node_modules:$GRAVITY_PATH/developer:$GRAVITY_PATH/../../lib/:$NODE_PATH

#增加uv_queue_work的最大线程数, 最大不超过128
export UV_THREADPOOL_SIZE=96


# 安装依赖
#npm install --production

#手动添加分组
mkdir /linkedge/run/downloaded-job
mkdir /linkedge/run/downloaded-job/nodeengine
mkdir /linkedge/run/downloaded-job/nodeengine/groupconfigs
cp -arf 123 /linkedge/run/downloaded-job/nodeengine/groupconfigs
 
#添加配置中心
cd /root/miyuan/branch1.4/gateway/build/bin
./tool_config -f gw_TSL_b1FSuDiF5oD $NODETEST_PATH/leda_ut.json
./tool_config -f gw_driverconfig_leda_ut_module $NODETEST_PATH/deviceConfig.json

cd $NODETEST_PATH
#开始执行
node $NODETEST_PATH/index.js
