#!/usr/bin/env python3
# _*_ coding: utf-8 _*_ 
# @Time     :2018/5/8 下午3:09
__author__ = 'yongding.lyd'

import sys
import subprocess
import os

from robotremoteserver import RobotRemoteServer


class CountLibrary:
    def __init__(self):
        pass

    def my_add(self, a, b):
        #subprocess.Popen(['./../develop/gateway/modules/test/db_sample 1>/tmp/aa.txt 2>&1'], shell=True)
        #ret = subprocess.Popen(["./../develop/gateway/modules/test/db_sample", "/tmp/aa.txt"], stdout=subprocess.PIPE)
        #return ret.stdout.read()
        ret = subprocess.Popen(["ls", "-l", "/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def getRegisterStatus(self, product_key, local_id):
        ret = subprocess.Popen(["./../ut_device_find", "-p", str(product_key),"-d", str(local_id), "-t 0","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def getDeviceStatus(self, product_key, local_id):
        ret = subprocess.Popen(["./../ut_device_find", "-p", str(product_key),"-d", str(local_id), "-t 1","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()
    
    def callDeviceService(self, product_key, local_id, service_name, input_args):
        ret = subprocess.Popen(["./../ut_device_call_service", "-p", str(product_key),"-d", str(local_id), "-i", str(input_args),"-s", str(service_name),"/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def setDeviceProperty(self, product_key, local_id, input_args):
        ret = subprocess.Popen(["./../ut_device_get_set", "-p", str(product_key),"-d", str(local_id), "-i",str(input_args),"-t 1","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def getDeviceProperty(self, product_key, local_id, input_args):
        ret = subprocess.Popen(["./../ut_device_get_set", "-p", str(product_key),"-d", str(local_id), "-i",str(input_args),"-t 0","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def checkDeviceStatusChanged(self, product_key, local_id, property_name,timeout=60):
        ret = subprocess.Popen(["./../ut_data_up", "-p", str(product_key),"-d", str(local_id), "-e",str(property_name),"-l",str(timeout),"-b 111","-t 0","-y 0","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()
        
    def checkDeviceEventPost(self, product_key, local_id, event_name,timeout=60):
        ret = subprocess.Popen(["./../ut_data_up", "-p", str(product_key),"-d", str(local_id), "-e",str(event_name),"-l",str(timeout),"-b 111","-t 1","-y 0","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def checkDeviceEventbody(self, product_key, local_id,event_name, event_body, timeout=60):
        ret = subprocess.Popen(["./../ut_data_up", "-p", str(product_key),"-d", str(local_id), "-e",str(event_name),"-l",str(timeout),"-b",str(event_body),"-t 2","-y 0","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def checkDevicePropertybody(self, product_key, local_id,property_name, property_body, timeout=60):
        ret = subprocess.Popen(["./../ut_data_up", "-p", str(product_key),"-d", str(local_id), "-e",str(property_name),"-l",str(timeout),"-b",str(property_body),"-t 3","-y 0","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()
    
    def checkCallServiceEvent(self, product_key, local_id, service_name, service_args, event_name, event_body, timeout=60):
        ret = subprocess.Popen(["./../ut_service_event_test", "-p", str(product_key),"-d", str(local_id), "-s",str(service_name),"-a",str(service_args),"-e",str(event_name),"-b",str(event_body),"-t",str(timeout),"/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def checkCallServiceProperty(self, product_key, local_id, service_name, service_args, property_name, property_body, timeout=60):
        ret = subprocess.Popen(["./../ut_service_event_test", "-p", str(product_key),"-d", str(local_id), "-s",str(service_name),"-a",str(service_args),"-e",str(property_name),"-b",str(property_body),"-t",str(timeout),"/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def setLogFileSize(self, input_args):
        ret = subprocess.Popen(["./../ut_logger_set", "-i", str(input_args),"-t 0", "/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()
    
    def setLogLevel(self, input_args):
        ret = subprocess.Popen(["./../ut_logger_set", "-i", str(input_args),"-t 1","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()
    
    def getLogDir(self):
        ret = subprocess.Popen(["./../ut_logger_set", "-t 4 -i 12", "/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def setLogSwitch(self, input_args):
        ret = subprocess.Popen(["./../ut_logger_set", "-i", str(input_args),"-t 5","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def getOnlineDeviceList(self):
        ret = subprocess.Popen(["./../ut_dimu_set", "-t 0 -i 11","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()
    
    def getOfflineDeviceList(self):
        ret = subprocess.Popen(["./../ut_dimu_set", "-t 1 -i 11","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def getDeviceList(self):
        ret = subprocess.Popen(["./../ut_dimu_set", "-t 2 -i 11","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()
    
    def getLocalDeviceLastSeenTime(self, input_args):
        ret = subprocess.Popen(["./../ut_dimu_set", "-i", str(input_args),"-t 3","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()
    
    def getDeviceLocalId(self, input_args):
        ret = subprocess.Popen(["./../ut_dimu_set", "-i", str(input_args),"-t 4","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()
    
    def getDeviceDriverName(self, input_args):
        ret = subprocess.Popen(["./../ut_dimu_set", "-i", str(input_args),"-t 5","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()
    
    def getDeviceTag(self, input_args):
        ret = subprocess.Popen(["./../ut_dimu_set", "-i", str(input_args),"-t 6","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()
    
    def getGateWayInfo(self):
        ret = subprocess.Popen(["./../ut_gatewaymonitor_get", "-t 0","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()
    
    def getCpuUsage(self):
        ret = subprocess.Popen(["./../ut_gatewaymonitor_get", "-t 1","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()
    
    def getMemroyUsage(self):
        ret = subprocess.Popen(["./../ut_gatewaymonitor_get", "-t 2","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()
    
    def getSoftwareVersion(self):
        ret = subprocess.Popen(["./../ut_gatewaymonitor_get", "-t 4","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()
    
    def getTotalDisk(self):
        ret = subprocess.Popen(["./../ut_gatewaymonitor_get", "-t 5","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()
    
    def getTotalMemroy(self):
        ret = subprocess.Popen(["./../ut_gatewaymonitor_get", "-t 6","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()
    
    def getCoreNumber(self):
        ret = subprocess.Popen(["./../ut_gatewaymonitor_get", "-t 7","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()
    
    def getMemoryFree(self):
        ret = subprocess.Popen(["./../ut_gatewaymonitor_get", "-t 8","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()
    
    def getSystem(self):
        ret = subprocess.Popen(["./../ut_gatewaymonitor_get", "-t 9","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()
    
    def getGatewayIp(self):
        ret = subprocess.Popen(["./../ut_gatewaymonitor_get", "-t 10","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()
    
    def pullAllEdgeSevices(self):
        ret = subprocess.Popen(["./../ut_system_test", "-t 0 -i 11","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()
    
    def killAllEdgeSevices(self):
        ret = subprocess.Popen(["./../ut_system_test", "-t 1 -i 11","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def getAllEdgeServiceStatus(self):
        ret = subprocess.Popen(["./../ut_system_test", "-t 2 -i 11","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()
    
    def getServiceStatus(self, input_args):
        ret = subprocess.Popen(["./../ut_system_test", "-i", str(input_args),"-t 3","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def getServiceLastOnlineTime(self, input_args):
        ret = subprocess.Popen(["./../ut_system_test", "-i", str(input_args),"-t 5","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def getSystemTime(self):
        ret = subprocess.Popen(["./../ut_system_test", "-t 6 -i 11","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def startProcess(self, input_args):
        ret = subprocess.Popen(["./../ut_system_test", "-i", str(input_args),"-t 8","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def killProcess(self, input_args):
        ret = subprocess.Popen(["./../ut_system_test", "-i", str(input_args),"-t 9","/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def getSingleFcStatus(self,input_args):
        ret = subprocess.Popen(["./../ut_fc_test","-t 0","-i", str(input_args),"/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def getFcMemUsage(self,input_args):
        ret = subprocess.Popen(["./../ut_fc_test","-t 1","-i", str(input_args),"/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def getFcIsDeployed(self,input_args):
        ret = subprocess.Popen(["./../ut_fc_test","-t 2","-i", str(input_args),"/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def getFcExitTimes(self,input_args):
        ret = subprocess.Popen(["./../ut_fc_test","-t 3","-i", str(input_args),"/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()


    def getFcHandledTimes(self,input_args):
        ret = subprocess.Popen(["./../ut_fc_test","-t 4","-i", str(input_args),"/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def getFcUnhandledTimes(self,input_args):
        ret = subprocess.Popen(["./../ut_fc_test","-t 5","-i", str(input_args),"/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()


    def getFcHandledErrTimes(self,input_args):
        ret = subprocess.Popen(["./../ut_fc_test","-t 6","-i", str(input_args),"/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()


    def getFcInvTimes(self,input_args):
        ret = subprocess.Popen(["./../ut_fc_test","-t 7","-i", str(input_args),"/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def getFcExecTime(self,input_args):
        ret = subprocess.Popen(["./../ut_fc_test","-t 8","-i", str(input_args),"/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()        

    def getFcExecAvergeTime(self,input_args):
        ret = subprocess.Popen(["./../ut_fc_test","-t 9","-i", str(input_args),"/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def getFcWaitTime(self,input_args):
        ret = subprocess.Popen(["./../ut_fc_test","-t 10","-i", str(input_args),"/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def getFcRuntimeReqAgTime(self,input_args):
        ret = subprocess.Popen(["./../ut_fc_test","-t 11","-i", str(input_args),"/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def getFcReqHdTimes(self,input_args):
        ret = subprocess.Popen(["./../ut_fc_test","-t 12","-i", str(input_args),"/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def getFcReqUhdTimes(self,input_args):
        ret = subprocess.Popen(["./../ut_fc_test","-t 13","-i", str(input_args),"/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()

    def getFcReqHdErrTimes(self,input_args):
        ret = subprocess.Popen(["./../ut_fc_test","-t 14","-i", str(input_args),"/dev/null"], stdout=subprocess.PIPE)
        print(ret.returncode)
        print(ret.stdout)
        return ret.stdout.read()


if __name__ == '__main__':
    CL = CountLibrary()
    RobotRemoteServer(CL, *sys.argv[1:])
