#!/bin/bash

#create configure file
mkdir -p /linkedge/run/ifttt

GRAVITY_PATH=$(dirname $(readlink -f "$0"))
GW_LIB_DIR=../../lib

START_PARAM=$1
echo "start parameters:" $START_PARAM

ENV_PATH=$GRAVITY_PATH/build-env/node/bin
export PATH=$ENV_PATH:$PATH
#Export C dependency library lookup PATH
#export LD_LIBRARY_PATH=$GRAVITY_PATH/$GW_LIB_DIR:$LD_LIBRARY_PATH
#Export JS dependency library lookup PATH
export NODE_PATH=$GRAVITY_PATH/node_modules:$GRAVITY_PATH/developer:$GRAVITY_PATH/$GW_LIB_DIR:$NODE_PATH

#Set maximum thread number of libuv: not exceeding 128
export UV_THREADPOOL_SIZE=96

#Start function-compute
APP="node $GRAVITY_PATH/ifttt.js"
$APP &
